[pytest]
addopts = --verbose --durations=0  --cov --cov-report term-missing --cov-report xml:.pytest_cache/coverage.xml
# Specify the directory where pytest will place its cache and report files
cache_dir = .pytest_cache

markers =
    dependency: mark test as dependent on others
# generate_report_on_test = True
log_cli_level = INFO
log_cli_format = %(asctime)s [%(levelname)8s] [%(threadName)s] %(message)s (%(filename)s:%(lineno)s)
log_cli_date_format=%Y-%m-%d %H:%M:%S